% Simulation parameters
N = 12; % sensors
K = 3; % no. of interferers
snapshots = 50; 
rep = 10; % no. of repetitions
snr=-10;
for s=1:5
    s
sinr_robust = zeros(snapshots,rep);
for k = 1:rep
    [sinr_robust(:,k)]= incoherent_LOCSME_beamforming(snr,snapshots,N,K);
end;
sinr_robust = mean(sinr_robust,2);
sinr_robust50(s)=sinr_robust(snapshots);
snr=snr+10;
end;
axis=[-10:10:30]';
plot(axis,10*log10(abs(sinr_robust50)),'r--d');
xlabel('SNR (dB)');
ylabel('SINR (dB)');
legend('LOCSME');